package main

type Character struct {
	Misc   Misc    `json:"misc"`
	Stats  []Stat  `json:"stats"`
	Skills []Skill `json:"skills"`
	Feats  []Feat  `json:"feats"`
}

type Misc struct {
	Level           int    `json:"level"`
	Name            string `json:"name"`
	Race            string `json:"race"`
	Class           string `json:"class"`
	Background      string `json:"background"`
	ReliableTalent  bool   `json:"reliableTalent"`
	JackOfAllTrades bool   `json:"jackOfAllTrades"`
	IsKurthog       bool   `json:"isKurthog"`
}

type Skill struct {
	SkillName  string `json:"skillName"`
	Proficient bool   `json:"proficient"`
	Expertise  bool   `json:"expertise"`
	BaseStat   string `json:"baseStat"`
}

type Stat struct {
	StatName       string `json:"statName"`
	Score          int    `json:"score"`
	Proficient     bool   `json:"proficient"`
	SaveProficient bool   `json:"saveProficient"`
}

type Feat struct {
	FeatName        string `json:"featName"`
	FeatDescription string `json:"featDescription"`
}
